Subject: [rohc] Add-CID and large_CID

From: [email-masked]
Date: Tue, 21 Jul 2009 19:44:37 +0800

As is known to all, Decompressor could confirm Add-CID or large_CID from 
compression header;

On the other hand, the upper layer may indicate Large_CID whether valid or 
not.

When the upper layer indicate Large_CID valid, Could decompressor deal 
with a compression header with Add-CID?

caiwei 167981
LTE Development Department | LTE开发部

Product Marketing System 
产品市场体系
D3-06, ZTE Corp., No.10 South Tangyan Rd., 
Hi-tech Industrial Development Zone, Xi'an, 
P.R.China, 710065
Tel:+86-29-88724112, 15801916689
Email:[email-masked] 

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Klaus Warnke <[email-masked]>
Date: Tue, 21 Jul 2009 16:06:34 +0200

Cai,

No, I don't think so.

The LARGE_CID parameter is negotiated at channel set-up. See
5.1.(1.) for more information. If it is negotiated to LARGE_CID,
the compressor must not send a ADD-CID octet, because it it used for
small cid. See "Add-CID Octet" on page 43. From my point of view,
the decompressor must discard packets starting with a ADD-CID octet on
LARGE_CID mode. It should not assume SMALL_CID's if it receives a
ADD-CID octet, because it won't work for SMALL_CID's with CID 0. In
this case, the packet start immediately with type indication and body.

br
Klaus Warnke

[email-masked] wrote:
>
> As is known to all, Decompressor could confirm Add-CID or large_CID
> from compression header;
>
> On the other hand, the upper layer may indicate Large_CID whether
> valid or not.
>
> *caiwei 167981*
> 	*Product Marketing System *
> *产品市场体系*
> ------------------------------------------------------------------------
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rohc
>

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 21 Jul 2009 16:31:03 +0200

RFC 4995, section 5.2.1.3:

    When the ROHC channel is configured with a large CID space:

       o  The large CID is always present and is represented using the
          encoding scheme of Section 5.3.2, limited to two octets.  In
          this case, the Header starts with a packet type indication.

So no, there cannot be an Add-CID octet there in this case; don't send  
them.
While there may not be a technical problem for a decopressor in  
accepting an Add-CID octet in large-CID mode, it is not quite clear  
what that means, there is no need, and this goes beyond any reasonable  
concept of robustness.

Gruesse, Carsten